curl --request GET \
--url https://api.hexclave.com/api/v1/teams/{team_id}import requests
url = "https://api.hexclave.com/api/v1/teams/{team_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hexclave.com/api/v1/teams/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
"display_name": "My Team",
"profile_image_url": "https://example.com/image.jpg",
"client_metadata": {
"key": "value"
},
"client_read_only_metadata": {
"key": "value"
}
}Get a team
Get a team that the current user is a member of.
Path Parameters
Response
Successful response
The unique identifier of the team
"ad962777-8244-496a-b6a2-e0c6a449c79e"
Human-readable team display name. This is not a unique identifier.
"My Team"
URL of the profile image for team. Can be a Base64 encoded image. Must be smaller than 100KB. Please compress and crop to a square before passing in.
null "https://example.com/image.jpg"
Client metadata. Used as a data store, accessible from the client side. Do not store information that should not be exposed to the client.
{ "key": "value" }
Client read-only, server-writable metadata. Used as a data store, accessible from the client side. Do not store information that should not be exposed to the client. The client can read this data, but cannot modify it. This is useful for things like subscription status.
{ "key": "value" }